Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.db
Class HibernateUserProfileModuleImpl

    java.lang.Object
      org.jboss.portal.identity.service.IdentityModuleService
          org.jboss.portal.identity.service.UserProfileModuleService
              org.jboss.portal.identity.db.HibernateUserProfileModuleImpl

All Implemented Interfaces:
  UserProfileModule

    public class HibernateUserProfileModuleImpl

extends UserProfileModuleService

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Field Summary
`protected org.hibernate.SessionFactory` | `sessionFactory` .
`protected java.lang.String` | `sessionFactoryJNDIName` .
`protected UserModule` | `userModule`

Fields inherited from class org.jboss.portal.identity.service.UserProfileModuleService
`profileInfo`

Fields inherited from class org.jboss.portal.identity.service.IdentityModuleService
`moduleType`

Constructor Summary
`HibernateUserProfileModuleImpl()`

Method Summary
`protected org.hibernate.Session` | `getCurrentSession()` Can be subclasses to provide testing in a non JTA environement.
`java.lang.String` | `getDefaultSynchronizePassword()`
`ProfileInfo` | `getProfileInfo()` obtains UserProfile object - if module is used as a Delegate it tries to obtain it from the main one.
`java.util.Map` | `getProperties(User user)` Returns all properties related to user
`java.lang.Object` | `getProperty(User user, java.lang.String propertyName)` Returns user property
`java.lang.String` | `getSessionFactoryJNDIName()`
`protected UserModule` | `getUserModule()`
`boolean` | `isAcceptOtherImplementations()`
`boolean` | `isEnableSynchronizedUsers()`
`boolean` | `isRandomSynchronizePassword()`
`boolean` | `isSynchronizeNonExistingUsers()`
`protected HibernateUserImpl` | `processUser(User user)`
`void` | `setAcceptOtherImplementations(boolean acceptOtherImplementations)`
`void` | `setDefaultSynchronizePassword(java.lang.String defaultSynchronizePassword)`
`void` | `setEnableSynchronizedUsers(boolean enableSynchronizedUsers)`
`void` | `setProperty(User user, java.lang.String propertyName, java.lang.Object propertyValue)` Sets user property.
`void` | `setRandomSynchronizePassword(boolean randomSynchronizePassword)`
`void` | `setSessionFactoryJNDIName(java.lang.String sessionFactoryJNDIName)`
`void` | `setSynchronizeNonExistingUsers(boolean synchronizeNonExistingUsers)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.jboss.portal.identity.service.UserProfileModuleService
`fireUserProfileChangedEvent, getProfileConfigFile, setProfileConfigFile, setProfileInfo`

Methods inherited from class org.jboss.portal.identity.service.IdentityModuleService
`getConnectionJNDIName, getIdentityConfiguration, getIdentityContext, getIdentityEventBroadcaster, getInitOptions, getJndiBinder, getJNDIName, getModuleType, setConnectionJNDIName, setIdentityContext, setInitOptions, setJndiBinder, setJNDIName, setModuleType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sessionFactory

    protected org.hibernate.SessionFactory sessionFactory

  .

### userModule

    protected UserModule userModule

### sessionFactoryJNDIName

    protected java.lang.String sessionFactoryJNDIName

  .

Constructor Detail

### HibernateUserProfileModuleImpl

    public HibernateUserProfileModuleImpl()

Method Detail

### start

    public void start()
               throws java.lang.Exception

  Overrides:
    `start` in class `UserProfileModuleService`
  Throws:
    `java.lang.Exception`

### stop

    public void stop()
              throws java.lang.Exception

  Overrides:
    `stop` in class `IdentityModuleService`
  Throws:
    `java.lang.Exception`

### getSessionFactoryJNDIName

    public java.lang.String getSessionFactoryJNDIName()

### setSessionFactoryJNDIName

    public void setSessionFactoryJNDIName(java.lang.String sessionFactoryJNDIName)

### getProperty

    public java.lang.Object getProperty(User user,
                                        java.lang.String propertyName)
                                 throws IdentityException

  Description copied from interface: `UserProfileModule`
  Returns user property

  Returns:
  Throws:
    `IdentityException`

### setProperty

    public void setProperty(User user,
                            java.lang.String propertyName,
                            java.lang.Object propertyValue)
                     throws IdentityException

  Description copied from interface: `UserProfileModule`
  Sets user property. If the property value is null the property will be removed.

    `propertyValue` - value
  Throws:
    `IdentityException`

### getProperties

    public java.util.Map getProperties(User user)
                                throws IdentityException

  Description copied from interface: `UserProfileModule`
  Returns all properties related to user

  Returns:
  Throws:
    `IdentityException`

### getCurrentSession

    protected org.hibernate.Session getCurrentSession()

  Can be subclasses to provide testing in a non JTA environement.

### processUser

    protected HibernateUserImpl processUser(User user)
                                     throws IdentityException

  Throws:
    `IdentityException`

### getProfileInfo

    public ProfileInfo getProfileInfo()
                               throws IdentityException

  obtains UserProfile object - if module is used as a Delegate it tries to obtain it from the main one.

  Returns:
  Throws:
    `IdentityException`

### isSynchronizeNonExistingUsers

    public boolean isSynchronizeNonExistingUsers()

### setSynchronizeNonExistingUsers

    public void setSynchronizeNonExistingUsers(boolean synchronizeNonExistingUsers)

### isEnableSynchronizedUsers

    public boolean isEnableSynchronizedUsers()

### setEnableSynchronizedUsers

    public void setEnableSynchronizedUsers(boolean enableSynchronizedUsers)

### isAcceptOtherImplementations

    public boolean isAcceptOtherImplementations()

### setAcceptOtherImplementations

    public void setAcceptOtherImplementations(boolean acceptOtherImplementations)

### getDefaultSynchronizePassword

    public java.lang.String getDefaultSynchronizePassword()

### setDefaultSynchronizePassword

    public void setDefaultSynchronizePassword(java.lang.String defaultSynchronizePassword)

### isRandomSynchronizePassword

    public boolean isRandomSynchronizePassword()

### setRandomSynchronizePassword

    public void setRandomSynchronizePassword(boolean randomSynchronizePassword)

### getUserModule

    protected UserModule getUserModule()
                                throws IdentityException

  Throws:
    `IdentityException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD